Get a list of Teams
GET /api
Also reachable at /api, /api.
Lists all of the Teams in the system or Octopus Deploy Space (if provided). The results will be sorted alphabetically by name.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resources.
Query Parameters
idsarray of string
A list of Team IDs, to limit the matching of Teams to those with a particular ID. Example: [“Teams-1”, “Teams-2”].namestring
The exact name of a Team to be matched.partialNamestring
A partial name, to limit the set of Teams to those with a name that includes the partial name.skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.
Response
200 — Requested list of Teams
Idstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectCanBeDeletedboolean
Gets or sets a flag indicating whether the team can be deleted. The built-in teams provided by Octopus generally cannot be deleted.CanBeRenamedboolean
Gets or sets a flag indicating whether the team can be renamed. The built-in teams provided by Octopus generally cannot be renamed.CanChangeMembersboolean
Gets or sets a flag indicating whether the members of this team can be changed. The built-in Everyone team provided by Octopus cannot have its members changed, as it will always contain all users.CanChangeRolesboolean
Gets or sets a flag indicating whether the team’s roles can be changed. The built-in Octopus Administrators team provided by Octopus cannot have its roles modified; all other teams can.DescriptionstringExternalSecurityGroupsarray of object
The externally-managed security groups (e.g., Active Directory groups) who belong to the team.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.MemberUserIdsarray of string
The users who belong to the team.Namestring
Gets or sets the name of this team.SlugstringSpaceIdstring
ItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
{
"Id": "string",
"ItemType": "string",
"Items": [
{
"CanBeDeleted": true,
"CanBeRenamed": true,
"CanChangeMembers": true,
"CanChangeRoles": true,
"Description": "string",
"ExternalSecurityGroups": [
{}
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"MemberUserIds": [
"string"
],
"Name": "string",
"Slug": "string",
"SpaceId": "string"
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}Create a new team
POST /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
The space in which to create the team.
Request Body
Descriptionstring
The description for the team.ExternalSecurityGroupsarray of object (required)
The externally-managed security groups (e.g., Active Directory groups) who will belong to the team.DisplayIdAndNamebooleanDisplayNamestringIdstring
MemberUserIdsarray of string (required)
The users who will belong to the team.Namestring (required)
The name of the team. Minimum length 1. Maximum length 200.Slugstring
The slug of the team.SpaceIdstring
The space in which to create the team.
Response
201 — Created
CanBeDeletedboolean
Gets or sets a flag indicating whether the team can be deleted. The built-in teams provided by Octopus generally cannot be deleted.CanBeRenamedboolean
Gets or sets a flag indicating whether the team can be renamed. The built-in teams provided by Octopus generally cannot be renamed.CanChangeMembersboolean
Gets or sets a flag indicating whether the members of this team can be changed. The built-in Everyone team provided by Octopus cannot have its members changed, as it will always contain all users.CanChangeRolesboolean
Gets or sets a flag indicating whether the team’s roles can be changed. The built-in Octopus Administrators team provided by Octopus cannot have its roles modified; all other teams can.DescriptionstringExternalSecurityGroupsarray of object
The externally-managed security groups (e.g., Active Directory groups) who belong to the team.DisplayIdAndNamebooleanDisplayNamestringIdstring
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.MemberUserIdsarray of string
The users who belong to the team.Namestring
Gets or sets the name of this team.SlugstringSpaceIdstring
Example Request
{
"Description": "string",
"ExternalSecurityGroups": [
{
"DisplayIdAndName": true,
"DisplayName": "string",
"Id": "string"
}
],
"MemberUserIds": [
"string"
],
"Name": "string",
"Slug": "string",
"SpaceId": "string"
}Example Response
{
"CanBeDeleted": true,
"CanBeRenamed": true,
"CanChangeMembers": true,
"CanChangeRoles": true,
"Description": "string",
"ExternalSecurityGroups": [
{
"DisplayIdAndName": true,
"DisplayName": "string",
"Id": "string"
}
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"MemberUserIds": [
"string"
],
"Name": "string",
"Slug": "string",
"SpaceId": "string"
}Get a list of Teams
GET /api
Also reachable at /api, /api.
Lists all of the Teams in the supplied Octopus Deploy Space. The results will be sorted by name.
Path Parameters
spaceIdstring (required)
Response
200 — The requested list of Teams
CanBeDeletedboolean
Gets or sets a flag indicating whether the team can be deleted. The built-in teams provided by Octopus generally cannot be deleted.CanBeRenamedboolean
Gets or sets a flag indicating whether the team can be renamed. The built-in teams provided by Octopus generally cannot be renamed.CanChangeMembersboolean
Gets or sets a flag indicating whether the members of this team can be changed. The built-in Everyone team provided by Octopus cannot have its members changed, as it will always contain all users.CanChangeRolesboolean
Gets or sets a flag indicating whether the team’s roles can be changed. The built-in Octopus Administrators team provided by Octopus cannot have its roles modified; all other teams can.DescriptionstringExternalSecurityGroupsarray of object
The externally-managed security groups (e.g., Active Directory groups) who belong to the team.DisplayIdAndNamebooleanDisplayNamestringIdstring
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.MemberUserIdsarray of string
The users who belong to the team.Namestring
Gets or sets the name of this team.SlugstringSpaceIdstring
Example Response
[
{
"CanBeDeleted": true,
"CanBeRenamed": true,
"CanChangeMembers": true,
"CanChangeRoles": true,
"Description": "string",
"ExternalSecurityGroups": [
{
"DisplayIdAndName": true,
"DisplayName": "string",
"Id": "string"
}
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"MemberUserIds": [
"string"
],
"Name": "string",
"Slug": "string",
"SpaceId": "string"
}
]Get a Team by ID
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
The ID of the team.spaceIdstring (required)
The ID of the space containing the resources.
Response
200 — The requested Team
CanBeDeletedboolean
Gets or sets a flag indicating whether the team can be deleted. The built-in teams provided by Octopus generally cannot be deleted.CanBeRenamedboolean
Gets or sets a flag indicating whether the team can be renamed. The built-in teams provided by Octopus generally cannot be renamed.CanChangeMembersboolean
Gets or sets a flag indicating whether the members of this team can be changed. The built-in Everyone team provided by Octopus cannot have its members changed, as it will always contain all users.CanChangeRolesboolean
Gets or sets a flag indicating whether the team’s roles can be changed. The built-in Octopus Administrators team provided by Octopus cannot have its roles modified; all other teams can.DescriptionstringExternalSecurityGroupsarray of object
The externally-managed security groups (e.g., Active Directory groups) who belong to the team.DisplayIdAndNamebooleanDisplayNamestringIdstring
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.MemberUserIdsarray of string
The users who belong to the team.Namestring
Gets or sets the name of this team.SlugstringSpaceIdstring
Example Response
{
"CanBeDeleted": true,
"CanBeRenamed": true,
"CanChangeMembers": true,
"CanChangeRoles": true,
"Description": "string",
"ExternalSecurityGroups": [
{
"DisplayIdAndName": true,
"DisplayName": "string",
"Id": "string"
}
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"MemberUserIds": [
"string"
],
"Name": "string",
"Slug": "string",
"SpaceId": "string"
}Modify an existing Team
PUT /api
Also reachable at /api, /api.
The Everyone Team is treated as a special case and its members and external groups may not be changed.
Path Parameters
idstring (required)
Gets or sets a unique identifier for this resource.spaceIdstring (required)
Request Body
DescriptionstringExternalSecurityGroupsarray of object
The externally-managed security groups (e.g., Active Directory groups) who belong to the team.DisplayIdAndNamebooleanDisplayNamestringIdstring
Idstring (required)
Gets or sets a unique identifier for this resource.MemberUserIdsarray of string
The users who belong to the team.Namestring (required)
Gets or sets the name of this team. Minimum length 1.SlugstringSpaceIdstring
Response
200 — Indicates the team was modified, containing the updated Team
CanBeDeletedboolean
Gets or sets a flag indicating whether the team can be deleted. The built-in teams provided by Octopus generally cannot be deleted.CanBeRenamedboolean
Gets or sets a flag indicating whether the team can be renamed. The built-in teams provided by Octopus generally cannot be renamed.CanChangeMembersboolean
Gets or sets a flag indicating whether the members of this team can be changed. The built-in Everyone team provided by Octopus cannot have its members changed, as it will always contain all users.CanChangeRolesboolean
Gets or sets a flag indicating whether the team’s roles can be changed. The built-in Octopus Administrators team provided by Octopus cannot have its roles modified; all other teams can.DescriptionstringExternalSecurityGroupsarray of object
The externally-managed security groups (e.g., Active Directory groups) who belong to the team.DisplayIdAndNamebooleanDisplayNamestringIdstring
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.MemberUserIdsarray of string
The users who belong to the team.Namestring
Gets or sets the name of this team.SlugstringSpaceIdstring
Example Request
{
"Description": "string",
"ExternalSecurityGroups": [
{
"DisplayIdAndName": true,
"DisplayName": "string",
"Id": "string"
}
],
"Id": "string",
"MemberUserIds": [
"string"
],
"Name": "string",
"Slug": "string",
"SpaceId": "string"
}Example Response
{
"CanBeDeleted": true,
"CanBeRenamed": true,
"CanChangeMembers": true,
"CanChangeRoles": true,
"Description": "string",
"ExternalSecurityGroups": [
{
"DisplayIdAndName": true,
"DisplayName": "string",
"Id": "string"
}
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"MemberUserIds": [
"string"
],
"Name": "string",
"Slug": "string",
"SpaceId": "string"
}Delete an existing Team
DELETE /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Team to delete.spaceIdstring (required)
Response
200 — Success
Get a list of a Team’s Scoped User Roles
GET /api
Also reachable at /api, /api.
List all the Scoped User Roles for the Team. Results will be sorted by Space Id with System Teams being sorted before Space Teams.
Path Parameters
idstring (required)spaceIdstring (required)
Query Parameters
skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.
Response
200 — The requested list of Scoped User Roles
Idstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectEnvironmentIdsarray of stringIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ProjectGroupIdsarray of stringProjectIdsarray of stringSpaceIdstringTeamIdstringTenantIdsarray of stringUserRoleIdstring
ItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
{
"Id": "string",
"ItemType": "string",
"Items": [
{
"EnvironmentIds": [
"string"
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectGroupIds": [
"string"
],
"ProjectIds": [
"string"
],
"SpaceId": "string",
"TeamId": "string",
"TenantIds": [
"string"
],
"UserRoleId": "string"
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}